petsc-3.10.5 2019-03-28
Report Typos and Errors

# KSPGuessCreate

Creates the default KSPGuess context.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGuessCreate(MPI_Comm comm,KSPGuess *guess)

Collective on MPI_Comm

### Input Parameter

comm -MPI communicator

### Output Parameter

guess -location to put the KSPGuess context

### Notes

The default KSPGuess type is XXX

### Keywords

KSP, create, context

### See Also

KSPSolve(), KSPGuessDestroy(), KSPGuess, KSPGuessType, KSP

### Level

beginner

### Location

src/ksp/ksp/interface/iguess.c

### Implementations

KSPGuessCreate_Fischer in src/ksp/ksp/guess/impls/fischer/fischer.c
KSPGuessCreate_POD in src/ksp/ksp/guess/impls/pod/pod.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages